Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 548710 - sys-apps/portage: add ability to disable SOCKSv5-over-UNIX-socket proxy
Summary: sys-apps/portage: add ability to disable SOCKSv5-over-UNIX-socket proxy
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Unclassified (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage team
URL: https://github.com/gentoo/portage/com...
Whiteboard:
Keywords: InVCS, PATCH
Depends on:
Blocks: 484436
  Show dependency tree
 
Reported: 2015-05-05 19:41 UTC by Nikoli
Modified: 2015-05-18 23:39 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
patch (0001-Disable-SOCKSv5-over-UNIX-socket-proxy-by-default-bu.patch,2.12 KB, patch)
2015-05-06 16:40 UTC, Nikoli
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nikoli 2015-05-05 19:41:53 UTC
Commit 8fd09dc9a25fb673426340a23794df7f11a44010 adds SOCKSv5-over-UNIX-socket proxy and starts it "whenever ebuilds are started with network-sandbox enabled".
I do not use distcc and do not want any holes in network sandbox. Please add ability to disable this proxy and consider disabling it by default or at least when distcc is disabled in FEATURES.
Comment 1 Nikoli 2015-05-06 16:40:34 UTC
Created attachment 402766 [details, diff]
patch

Attached patch works fine for me with portage-2.2.18: it builds, all tests work fine, FEATURES='-network-sandbox network-sandbox-proxy', FEATURES='network-sandbox network-sandbox-proxy' and FEATURES='network-sandbox' work as expected.

For me 'python3.3 /usr/lib/portage/python3.3/socks5-server.py /var/tmp/.portage.27962.net.sock' is now running only when both network-sandbox and network-sandbox-proxy are enabled. It should also run when network-sandbox and distcc are enabled, but i did not check.
Comment 2 Brian Dolbec gentoo-dev 2015-05-06 17:28:41 UTC
applied in git commit 1f94508e9adeffd7170cb23852ae40fc1f8b6c98
Comment 3 Brian Dolbec gentoo-dev 2015-05-18 23:39:54 UTC
Released in portage-2.2.19